Bug 1286675 - [RFE] Support for VMWare vCloud as provider
[RFE] Support for VMWare vCloud as provider
Status: CLOSED WONTFIX
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
4.0.1
Unspecified Unspecified
medium Severity medium
: GA
: cfme-future
Assigned To: Adam Grare
Einat Pacifici
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 08:31 EST by Ali Sogukpinar
Modified: 2017-07-21 11:02 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 09:29:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2071013 None None None Never

  None (edit)
Description Ali Sogukpinar 2015-11-30 08:31:15 EST
3. What is the nature and description of the request?  

As a PaaS provider (based on Openshift)  we want to be able to use
Cloudforms to manage the underlying IaaS platforms(currently vMware
vCloud), so that, we can use it for chargeback, service catalog,
brokering, performance management and scaling.

  
4. Why does the customer need this? (List the business requirements here)  

We are currently hosting our OpenShift based PaaS platform in VMware
vCloud. As vCloud tenant, our access to the platform is restricted to a
single vOrg with the role of vorg Administrator. Our tenants are
separated based on vDCs in our vOrg.

Cloudforms v4.0  supports Openshift and Kubernetes as
providers however, for our use-case we do not get much value-add by using CloudForms, unless it is also able to manage/monitor/scale the underlying vCloud platform.
This will also make it easier for us to host our PaaS platform on other
internal IaaS platforms in the future, if we can continue using the same
management tool  for all of them.

5. How would the customer like to achieve this? (List the functional requirements here)  

By CloudForms adding another provider- a vCloud provider to its list of already existing providers. 

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
 CloudForms can connect to a vcloud vorg using vorg administrator credentials.
Using CloudForms, one can then perform all Iaas platform specific actions like provisioning org networks, vApps, vms, configure edge gateways, set firewall rules, get VM level statistics, create snapshots of VMs.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
No
  
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
 v4.1
Comment 3 Greg Blomquist 2016-02-19 15:57:15 EST
John, can you help with prioritizing this with the other vmware requirements?
Comment 10 Adam Grare 2016-07-18 09:13:05 EDT
https://github.com/ManageIQ/manageiq/pull/9810
Comment 11 Adam Grare 2016-07-22 10:58:06 EDT
https://github.com/ManageIQ/manageiq/pull/9944
Comment 15 Adam Grare 2016-12-05 10:18:13 EST
A large portion of functionality is going out with cfme-5.7 so I'm going to mark this BZ resolved and we can open RFE BZs for the remaining features (e.g. metrics).

Note You need to log in before you can comment on or make changes to this bug.